# Class pyglet.image.TileableTexture

    AbstractImage --+
                    |
              Texture --+
                        |
                       TileableTexture

A texture that can be tiled efficiently.

Use create_for_image classmethod to construct.

## Methods

| __init__(self, width, height, target, id)
AbstractImage | get_region(self, x, y, width, height) Retrieve a rectangular region of this image.
| blit_tiled(self, x, y, z, width, height) Blit this texture tiled over the given area.
| create_for_image(cls, image)
| __del__(self) (Inherited from pyglet.image.Texture)
| __repr__(self) (Inherited from pyglet.image.AbstractImage)
| blit(self, x, y, z=0, width=None, height=None) Draw this image to the active framebuffers. (Inherited from pyglet.image.Texture)
| blit_into(self, source, x, y, z) Draw `source` on this image. (Inherited from pyglet.image.Texture)
| blit_to_texture(self, target, level, x, y, z=0) Draw this image on the currently bound texture at `target`. (Inherited from pyglet.image.AbstractImage)
Texture | create(cls, width, height, internalformat=6408, rectangle=False) Create an empty Texture. (Inherited from pyglet.image.Texture)
Texture | create_for_size(cls, target, min_width, min_height, internalformat=None) Create a Texture with dimensions at least min_width, min_height. (Inherited from pyglet.image.Texture)
| delete(self) Delete the texture from video memory. (Inherited from pyglet.image.Texture)
ImageData | get_image_data(self, z=0) Get the image data of this texture. (Inherited from pyglet.image.Texture)
Texture | get_mipmapped_texture(self) Retrieve a Texture instance with all mipmap levels filled in. (Inherited from pyglet.image.AbstractImage)
Texture | get_texture(self, rectangle=False) A Texture view of this image. (Inherited from pyglet.image.Texture)
TextureRegion | get_transform(self, flip_x=False, flip_y=False, rotate=0) Create a copy of this image applying a simple transformation. (Inherited from pyglet.image.Texture)
| save(self, filename=None, file=None, encoder=None) Save this image to a file. (Inherited from pyglet.image.AbstractImage)

## Properties

ImageData | image_data An ImageData view of this texture. (Inherited from pyglet.image.Texture)
Texture | mipmapped_texture A Texture view of this image. (Inherited from pyglet.image.AbstractImage)
Texture | texture Get a Texture view of this image. (Inherited from pyglet.image.AbstractImage)

## Instance Variables

int | anchor_x = `0` X coordinate of anchor, relative to left edge of image data (Inherited from pyglet.image.AbstractImage)
int | anchor_y = `0` Y coordinate of anchor, relative to bottom edge of image data (Inherited from pyglet.image.AbstractImage)
int | height Height of image (Inherited from pyglet.image.AbstractImage)
int | level = `0` The mipmap level of this texture. (Inherited from pyglet.image.Texture)
class (subclass of TextureRegion) | region_class Class to use when constructing regions of this texture. (Inherited from pyglet.image.Texture)
int | target The GL texture target (e.g., `GL_TEXTURE_2D`). (Inherited from pyglet.image.Texture)
tuple | tex_coords = ``(`0.0`,` 0.0`,` 0.0`,` 1.0`,` 0.0`,` 0.0`,` 1.0`,` 1.0`,` 0.0`,` 0.0`...`` 12-tuple of float, named (u1, v1, r1, u2, v2, r2, ...). (Inherited from pyglet.image.Texture)
int | width Width of image (Inherited from pyglet.image.AbstractImage)

## Class Variables

| images = `1` (Inherited from pyglet.image.Texture)
| tex_coords_order = ``(`0`,` 1`,` 2`,` 3`)`` (Inherited from pyglet.image.Texture)
| x = `0` (Inherited from pyglet.image.Texture)
| y = `0` (Inherited from pyglet.image.Texture)
| z = `0` (Inherited from pyglet.image.Texture)

## Method Details

### __init__

(Constructor) __init__(self, width, height, target, id)

Overrides:
  Texture.__init__

### get_region

get_region(self, x, y, width, height)
Retrieve a rectangular region of this image.

Returns: AbstractImage
Overrides:
  Texture.get_region

### blit_tiled

blit_tiled(self, x, y, z, width, height)

Blit this texture tiled over the given area.

The image will be tiled with the bottom-left corner of the destination rectangle aligned with the anchor point of this texture.